"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.luma = exports.hue = undefined;

var _VariableNode = require("../tree/VariableNode");

var _VariableNode2 = _interopRequireDefault(_VariableNode);

var _convert = require("../tree/convert");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// rgb
// rgba
// hsl
// hsla
// hsv
// hsva
var hue = exports.hue = function hue(color) {
    return new _VariableNode2.default("require(\"tinycolor2\")(" + (0, _convert.convertNode)(color) + ").toHsl().h * 100");
};
// saturation
// lightness
// hsvhue
// hsvsaturation
// hsvvalue
// red
// green
// blue
// alpha
var luma = exports.luma = function luma(color) {
    return new _VariableNode2.default("require(\"tinycolor2\")(" + (0, _convert.convertNode)(color) + ").getLuminance() * 100");
};
// luminance
// saturate
// desaturate
// lighten
// darken
// fadein
// fadeout
// fade
// spin
// mix
// greyscale
// contrast
// contrast
// argb
// color
// tint
// shade