"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.convertNode = undefined;

var _VariableNode = require("./VariableNode");

var _VariableNode2 = _interopRequireDefault(_VariableNode);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var varRgx = /^[@$]/;

exports.default = function (val, defaultValue) {
    if (!val) return val;
    if (!val.startsWith("@")) {
        return "\"" + val + "\"";
    }
    val = val.replace(varRgx, '');
    var parts = ["props[\"" + val + "\"]", "(props.theme || {})[\"" + val + "\"]", defaultValue];
    return parts.filter(function (v) {
        return !!v;
    }).join(" || ");
};

var convertNode = exports.convertNode = function convertNode(v) {
    if (!v) return undefined;
    var value = v.toCSS();
    if (v instanceof _VariableNode2.default) {
        return value;
    }
    // Deals with "strings"
    // value = value.replace(/(^"|"$)/g, '');
    value = value.replace(/"/g, '\\"');
    return "\"" + value + "\"";
};